summaryrefslogtreecommitdiffstats
path: root/network/unbound/unbound.SlackBuild
diff options
context:
space:
mode:
author Gerardo Zamudio2017-06-19 15:59:44 +0200
committer Willy Sudiarto Raharjo2017-06-24 03:33:05 +0200
commit9f315c18f9849f37ac0dc404384d6df0447fa763 (patch)
treede80345ba31a5f6b09d2903ada0b173b5a7365a9 /network/unbound/unbound.SlackBuild
parent452370524dac6bafd6032fda2d475cde8d844022 (diff)
downloadslackbuilds-9f315c18f9849f37ac0dc404384d6df0447fa763.tar.gz
network/unbound: Updated for version 1.6.3
Diffstat (limited to 'network/unbound/unbound.SlackBuild')
-rw-r--r--network/unbound/unbound.SlackBuild23
1 files changed, 15 insertions, 8 deletions
diff --git a/network/unbound/unbound.SlackBuild b/network/unbound/unbound.SlackBuild
index 60eb1bcad0..a841d41dbf 100644
--- a/network/unbound/unbound.SlackBuild
+++ b/network/unbound/unbound.SlackBuild
@@ -54,20 +54,20 @@ else
LIBDIRSUFFIX=""
fi
-USER=${USER:-unbound}
-GROUP=${GROUP:-unbound}
+UB_USER=${UB_USER:-unbound}
+UB_GROUP=${UB_GROUP:-unbound}
# Check the system user and group for unbound:
-if ! grep -q ^"$GROUP": /etc/group ; then
+if ! grep -q ^"$UB_GROUP": /etc/group ; then
echo " You will need a dedicated group to run unbound"
- echo " # groupadd -g 304 $GROUP"
+ echo " # groupadd -g 304 $UB_GROUP"
echo " should do the job."
exit 1
fi
-if ! grep -q ^"$USER": /etc/passwd ; then
+if ! grep -q ^"$UB_USER": /etc/passwd ; then
echo " You will need a dedicated user to run unbound, something like"
- echo " # useradd -r -u 304 -g $GROUP -d /etc/unbound/ -s /sbin/nologin -c 'Unbound DNS resolver' $USER"
+ echo " # useradd -r -u 304 -g $UB_GROUP -d /etc/unbound/ -s /sbin/nologin -c 'Unbound DNS resolver' $UB_USER"
exit 1
fi
@@ -86,6 +86,12 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+if [ "${DNSCRYPT:-no}" == "yes" ]; then
+ DNSCRYPT="--enable-dnscrypt"
+else
+ DNSCRYPT=""
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -97,9 +103,10 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--with-libevent \
--with-ssl \
- --with-username=$USER \
+ --with-username=$UB_USER \
--with-pidfile=/var/run/unbound/unbound.pid \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux \
+ $DNSCRYPT
make
make install DESTDIR=$PKG